com.r3corda.core.node / ServiceHub / recordTransactions

# recordTransactions

`abstract fun recordTransactions(txs: Iterable<SignedTransaction>): Unit`

Given a list of SignedTransactions, writes them to the local storage for validated transactions and then sends them to the wallet for further processing.

### Parameters

`txs` - The transactions to record.
`open fun recordTransactions(vararg txs: SignedTransaction): <ERROR CLASS>`

Given some SignedTransactions, writes them to the local storage for validated transactions and then sends them to the wallet for further processing.

### Parameters

`txs` - The transactions to record.